PLplot: qsastime_testlib.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions
qsastime_testlib.c File Reference
`#include "qsastime.h"`
`#include "qsastimeP.h"`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <errno.h>`

Go to the source code of this file.

## Macros
#define | TEST01 0x1
#define | TEST02 0x2
#define | TEST03 0x4
#define | TEST04 0x8
#define | TEST05 0x10
#define | TEST06 0x20
#define | TEST07 0x40
#define | TEST08 0x80
#define | TEST09 0x100
#define | TEST10 0x200
#define | TEST11 0x400
#define | TEST12 0x800
#define | TEST13 0x1000
#define | TEST14 0x2000
#define | TEST15 0x4000
#define | TEST16 0x8000
#define | MJD_1970 40587

## Functions
time_t | my_timegm (struct tm *tm)
int | testlib_broken_down_time (int year, int month, int day, int hour, int min, double sec, int forceJulian, int inner_test_choice, int verbose)
int | testlib_MJD (const MJDtime *MJD, int forceJulian, int inner_test_choice, int verbose)
int | main ()

## Macro Definition Documentation

#define MJD_1970 40587

Definition at line 46 of file qsastime_testlib.c.

#define TEST01 0x1

Definition at line 29 of file qsastime_testlib.c.

#define TEST02 0x2

Definition at line 30 of file qsastime_testlib.c.

#define TEST03 0x4

Definition at line 31 of file qsastime_testlib.c.

#define TEST04 0x8

Definition at line 32 of file qsastime_testlib.c.

#define TEST05 0x10

Definition at line 33 of file qsastime_testlib.c.

#define TEST06 0x20

Definition at line 34 of file qsastime_testlib.c.

#define TEST07 0x40

Definition at line 35 of file qsastime_testlib.c.

#define TEST08 0x80

Definition at line 36 of file qsastime_testlib.c.

#define TEST09 0x100

Definition at line 37 of file qsastime_testlib.c.

#define TEST10 0x200

Definition at line 38 of file qsastime_testlib.c.

#define TEST11 0x400

Definition at line 39 of file qsastime_testlib.c.

#define TEST12 0x800

Definition at line 40 of file qsastime_testlib.c.

#define TEST13 0x1000

Definition at line 41 of file qsastime_testlib.c.

#define TEST14 0x2000

Definition at line 42 of file qsastime_testlib.c.

#define TEST15 0x4000

Definition at line 43 of file qsastime_testlib.c.

#define TEST16 0x8000

Definition at line 44 of file qsastime_testlib.c.

## Function Documentation

int main | ( |  | ) |

Definition at line 296 of file qsastime_testlib.c.

time_t my_timegm | ( | struct tm * | tm | ) |

Definition at line 49 of file qsastime_testlib.c.

int testlib_broken_down_time | ( | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | int | forceJulian,
|  | int | inner_test_choice,
|  | int | verbose
| ) |  |

Definition at line 66 of file qsastime_testlib.c.

int testlib_MJD | ( | const MJDtime * | MJD,
|  | int | forceJulian,
|  | int | inner_test_choice,
|  | int | verbose
| ) |  |

Definition at line 178 of file qsastime_testlib.c.